//
//  XYCloudGlobalConfig.m
//  xinhuamm_xycloud
//
//  Created by 邓付磊 on 2023/11/22.
//

#import "XYCloudGlobalConfig.h"

@implementation XYCloudGlobalConfig

- (instancetype)init {
    if(self = [super init]) {
        [self initializeDefaultData];
    }
    return self;
}

+ (instancetype)shareInstance {
    static XYCloudGlobalConfig *config = nil;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        config = [XYCloudGlobalConfig new];
    });
    return config;
}

#pragma mark- privite
/// 初始化默认数据
- (void)initializeDefaultData {
    self.cacheManagers = [NSMutableDictionary dictionary];
    /// 默认UA
    self.userAgent = @"xinhuamm DV/2";
    /// 微信支付scheme
    self.weixinSchemeUrl = @"yc.market.xinhuamm.net://";
    /// 支付宝支付Scheme
    self.appUrlScheme = [NSString stringWithFormat:@"yc.market.xinhuamm.net:%@://",[self configO2OALString]];
    self.themeColor = @"#f38242";
    self.navigationColor = @"#f38242";
}



- (NSString *)configO2OALString {
    NSArray *arr = @[@"a", @"l", @"i", @"p", @"a", @"y"];
    return [arr componentsJoinedByString:@""];
}


@end
