//
//  XYCloudManager.h
//  xinhuamm_xycloud
//
//  Created by 邓付磊 on 2023/10/30.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <XYCMO2OModule/XYCMO2OModule.h>

@interface XYCloudManager : NSObject
/// url
@property (nonatomic, copy)   NSString *url;
/// 登陆用户的id
@property (nonatomic, copy)   NSString *userId;
/// 登陆用户的phone
@property (nonatomic, copy)   NSString *phone;
/// 允许外部设置O2OController页面的frame
@property (nonatomic, assign) CGRect o2oViewFrame;
///// 是否展示导航条，公有云需要展示o2o 不需要，默认 NO；
@property (nonatomic, assign) BOOL showNavigationBar;

/// 初始化实例，缓存中获取XYCloudManager 实例，防止被释放，否者XYO2OModuleServeDelegate 不会执行
/// - Parameter url:url
+ (instancetype)managerWithUrl:(NSString *)url;

/// 设置 XYO2OModule模型数据
- (XYO2OModule *)setupMoudle;

/// 进入O2O页面
/// - Parameters:
///   - controller: 从哪个控制器跳转，如果为nil的话默认是rootViewController
///   - isPush: YES & controller.navigationController 存在，使用push方式，反之Model
- (void)enterO2OPageFromController:(UIViewController *)controller isPush:(BOOL)isPush;

@end

