//
//  XYCMCloudLogManager.h
//  XYCMO2OModule
//
//  Created by 唐海洋 on 2023/11/22.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface XYCMCloudLogManager : NSObject
/// activityIds 活动id userId为key
@property (nonatomic, strong, readonly) NSDictionary *activityIds;

+ (instancetype)sharedInstance;

#pragma mark - 公有云上报相关

/**
 * 上报公有云日志
 * @param eventCode 日志类型
 * @param userId 用户Id
 * @param appKey  公有云key
 * @param appsecret 公有云secret
 * @param newsId 稿件Id
 * @param hostUrl 接口域名
 * @param transferKey 加签密钥 【若没传，则默认：1234567812345678】
 * @note hostUrl 若没传，则默认：https://signapi.xinhuamm.net
 */
+ (void)reportPublicCloudLogWith:(NSString *)eventCode
                          userId:(NSString *)userId
                          appKey:(NSString *)appKey
                       appsecret:(NSString *)appsecret
                          newsId:(NSString *)newsId
                         hostUrl:(NSString *)hostUrl
                     transferKey:(NSString *)transferKey;

/**
 * 清空活动不上报的日志
 * @param userId 用户Id
 */
+ (void)pubCloudLogCleanNotAddLogWithUserId:(NSString *)userId activityId:(NSString *)activityId ;
/**
 * 添加活动Id
 * @param activityId 活动Id
 */
+ (void)pubCloudLogAddActivityId:(NSString *)activityId WithUserId:(NSString *)userId;
/**
 * 清空活动Id
 * @param userId 用户Id
 */
+ (void)pubCloudLogCleanActivityIdWithUserId:(NSString *)userId;



@end

NS_ASSUME_NONNULL_END
