import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';
import 'xinhuamm_xycloud_platform_interface.dart';

/// An implementation of [XinhuammXycloudPlatform] that uses method channels.
class MethodChannelXinhuammXycloud extends XinhuammXycloudPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('xinhuamm_xycloud');

  @override
  void openCloudPage(String url) async {
    await methodChannel.invokeMethod('openCloudPage', url);
  }

  @override
  Future<String> openScanPage() async {
    return await methodChannel.invokeMethod('openScanPage');
  }

  @override
  Future<bool> handleScanResult(String scanResult) async {
    return await methodChannel.invokeMethod('handleScanResult', scanResult);
  }

  // 设置新移云全局配置
  @override
  void setCloudGlobalConfig(dynamic config) async {
    await methodChannel.invokeMethod("setCloudGlobalConfig", config);
  }

  @override
  void setCloudMethodCallHandler(
      Future<dynamic> Function(MethodCall call)? handler) async {
    methodChannel.setMethodCallHandler(handler);
  }
}
